#ifndef PHP_NACL_H
#define PHP_NACL_H 1

#ifdef ZTS
#include "TSRM.h"
#endif

#define PHP_NACL_VERSION "1.0"
#define PHP_NACL_EXTNAME "nacl"

PHP_MINIT_FUNCTION(nacl);
PHP_FUNCTION(nacl_crypto_box_curve25519xsalsa20poly1305);
PHP_FUNCTION(nacl_crypto_box_curve25519xsalsa20poly1305_open);
PHP_FUNCTION(nacl_crypto_box_curve25519xsalsa20poly1305_getpublickey);
PHP_FUNCTION(nacl_crypto_box_curve25519xsalsa20poly1305_beforenm);
PHP_FUNCTION(nacl_crypto_box_curve25519xsalsa20poly1305_afternm);
PHP_FUNCTION(nacl_crypto_box_curve25519xsalsa20poly1305_open_afternm);
PHP_FUNCTION(nacl_crypto_box_curve25519xsalsa20poly1305_keypair);
PHP_FUNCTION(nacl_crypto_sign_edwards25519sha512batch);
PHP_FUNCTION(nacl_crypto_sign_edwards25519sha512batch_open);
PHP_FUNCTION(nacl_crypto_sign_edwards25519sha512batch_keypair);

extern zend_module_entry nacl_module_entry;
#define phpext_module_ptr &nacl_module_entry

#endif
